%global momorel 3
%define __libtoolize :

Summary: A PHP source editor for GNOME 2.
Name: gphpedit
Version: 0.9.91
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
# source URI is http://www.gphpedit.org/download/get.php?file=main-tarball&version=%{version}
Source: %{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-manual-en.patch

URL: http://www.gphpedit.org/
BuildRequires: gtkhtml
BuildRequires: dbus-devel >= 0.92
BuildRequires: gail >= 1.9.2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
gPHPEdit is a GNOME2 editor dedicated to editing PHP files and other
supporting files like HTML/CSS.

%prep
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%setup -q
%patch0 -p1 -b .manual-en

# The .desktop file included isn't Free Desktop compliant
%{__cat} <<EOF >gphpedit.desktop
[Desktop Entry]
Encoding=UTF-8
Name=gPHPEdit
GenericName=PHP/HTML/CSS editor
Comment=Edit PHP source files
Exec=gphpedit
Icon=gphpedit.png
Terminal=false
Type=Application
Categories=Application;Development;IDE;GNOME;
Version=0.9.4
EOF

%build
# Remove precompiled binaries and rebuild (statically) bundled gtkscintilla2
# (bundling is intentional and with good cause: it is a modified version
# and the upstream project is apparently dead)
pushd src/gtkscintilla2
make clean
make libgtkscintilla2.a %{?_smp_mflags}
popd

# Configure and make main binary
%configure
make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

# Remove the desktop file installed by the package itself
rm %{buildroot}%{_datadir}/applications/gphpedit.desktop

# Install our own desktop file
desktop-file-install --vendor=""                               \
        --dir %{buildroot}%{_datadir}/applications              \
        gphpedit.desktop

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root) 
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/gphpedit
%{_datadir}/pixmaps/gphpedit.png
%{_datadir}/applications/gphpedit.desktop
%{_datadir}/gphpedit/php-gphpedit.api

%changelog
* Sun May 17 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.91-3m)
- add __libtoolize 

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.91-2m)
- rebuild against rpm-4.6

* Wed Jul  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.91-1m)
- update to 0.9.91

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.80-6m)
- rebuild against gcc43

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.80-5m)
- rebuild against gail-1.9.2

* Sat Sep  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.80-4m)
- rebuild against dbus-0.92

* Thu Apr  6 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.80-3m)
- revised packages owner

* Sun Feb 02 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.9.80-2m)
- revised spec file for rebuild some library.
- add patch0 for x86_64

* Fri Dec 16 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.9.80-1m)
- initial import
-
-* Wed Nov 03 2004 Andy Jeffries <andy@gphpedit.org>
-- Removed dependancy on GtkScintilla2
-
-* Wed Jun 04 2003 Tim Jackson <tim@timj.co.uk>
-- Updated to work with new build system
-
-* Fri Jan 17 2003 Tim Jackson <tim@timj.co.uk>
-- Initial RPM packaging
